// Version: 0.1
// date created 8-31-24

#include "caur.h"

#include <stdio.h> // For standard input/output operations
#include <stdlib.h> // For memory allocation, process control, and conversions
#include <string.h> // For handling strings and memory blocks
#include <curl/curl.h> // This is for handling HTTP requests, which you’ll need to fetch data from the AUR

// #include <unistd.h> //  For access to POSIX operating system API, useful for things like file operations and process management
// #include <json-c/json.h> // Parsing packing information from the AUR packages

int main(int argc, char *argv[]) {

    if (argc < 2) {
        printf("Performing system upgrade...\n");
        return perform_system_upgrade();
    }

    // The package name is the first argument after the program name
    const char *package_name = argv[1];

    // Call download function with provided package name
    if (download_package(package_name) == 0) {
        printf("Package %s downloaded successfully\n", package_name);
    } else {
        printf("Failed to download package %s\n", package_name);
    }

    return 0;

    /* const char *package_name = "neofetch";
    if (download_package(package_name) == 0) {
        printf("Package downloaded successfully\n");
    } else {
        printf("Failed to download package");
    } */
}